Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.doc
[Groovy] Class DocPublisher

    java.lang.Object
      grails.doc.DocPublisher

    class DocPublisher

Coordinated the DocEngine the produce documentation based on the gdoc format.

Authors:
  Graeme Rocher

See Also:
  DocEngine

Since:
  1.2

Property Summary
`groovy.util.AntBuilder` | `ant` The AntBuilder instance to use
`java.lang.String` | `authors` The authors of the documentation
`java.lang.String` | `copyright` The copyright message
`java.io.File` | `css` The directory containing any CSS to use (will override defaults) *
`java.lang.String` | `encoding` The encoding to use (default is UTF-8)
`java.util.Properties` | `engineProperties` Properties used to configure the DocEngine
`java.lang.String` | `footer` The footer to include
`java.io.File` | `images` The directory containing any images to use (will override defaults) *
`java.lang.String` | `license` The documentation license
`java.lang.String` | `logo` HTML markup that renders the left logo
`java.lang.String` | `sponsorLogo` HTML markup that renders the right logo
`java.io.File` | `src` The source directory of the documentation
`java.io.File` | `style` The directory cotnaining any templates to use (will override defaults) *
`java.lang.String` | `subtitle` The subtitle of the documentation
`java.io.File` | `target` The target directory to publish to
`java.lang.String` | `title` The title of the documentation
`java.lang.String` | `version` The version of the documentation
`java.io.File` | `workDir` The temporary work directory

Constructor Summary
`DocPublisher()`
`DocPublisher(java.io.File src, java.io.File target)`

Method Summary
`java.util.Properties` | `getEngineProperties()` Returns the engine properties.
`protected void` | `initialize()`
`void` | `publish()`
`void` | `setEngineProperties(java.util.Properties p)` Sets the engine properties.
`void` | `writeChapter(groovy.text.Template template, java.lang.String targetDir, java.lang.String title, java.lang.StringBuffer content, java.util.Map vars)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### ant

    groovy.util.AntBuilder ant

  The AntBuilder instance to use

### authors

    java.lang.String authors

  The authors of the documentation

### copyright

    java.lang.String copyright

  The copyright message

### css

    java.io.File css

  The directory containing any CSS to use (will override defaults) *

### encoding

    java.lang.String encoding

  The encoding to use (default is UTF-8)

### engineProperties

    java.util.Properties engineProperties

  Properties used to configure the DocEngine

### footer

    java.lang.String footer

  The footer to include

### images

    java.io.File images

  The directory containing any images to use (will override defaults) *

### license

    java.lang.String license

  The documentation license

### logo

    java.lang.String logo

  HTML markup that renders the left logo

### sponsorLogo

    java.lang.String sponsorLogo

  HTML markup that renders the right logo

### src

    java.io.File src

  The source directory of the documentation

### style

    java.io.File style

  The directory cotnaining any templates to use (will override defaults) *

### subtitle

    java.lang.String subtitle

  The subtitle of the documentation

### target

    java.io.File target

  The target directory to publish to

### title

    java.lang.String title

  The title of the documentation

### version

    java.lang.String version

  The version of the documentation

### workDir

    java.io.File workDir

  The temporary work directory

Constructor Detail

### DocPublisher

    DocPublisher()

### DocPublisher

    DocPublisher(java.io.File src, java.io.File target)

Method Detail

### getEngineProperties

    java.util.Properties getEngineProperties()

  Returns the engine properties.

### initialize

    protected void initialize()

### publish

    void publish()

### setEngineProperties

    void setEngineProperties(java.util.Properties p)

  Sets the engine properties.

### writeChapter

    void writeChapter(groovy.text.Template template, java.lang.String targetDir, java.lang.String title, java.lang.StringBuffer content, java.util.Map vars)

Groovy Documentation